package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface ContentBusiness {
	
	void insert_content(Map<String,Object> entity) throws BusinessException ;

    void update_content(Map<String,Object> entity) throws BusinessException ;
    
    void delete_content(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_content(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_content(Map<String, Object> query) throws BusinessException ;
    
    int listCount_content(Map<String, Object> query) throws BusinessException ;
}
